describe("parseToProto", function() {
    var parseToProto = require("../lib/parse-to-proto");
    var proto;
  
    beforeEach(function() {
        proto = {category: "animal"};
    });
  
    it("should have category, type, name and age attribute", function() {
        let obj = parseToProto('{"type": "cat", "name":"Mimi","age":3}', proto);
        expect("animal").toEqual(obj.category);
        expect("cat").toEqual(obj.type);
        expect("Mimi").toEqual(obj.name);
        expect(3).toEqual(obj.age);
    });
  
});
  











